package sorting;

public class GenerateReverseSortedUnique implements ArrayGenerator
{
    /**
     * Generate a reverse-sorted Integer array of unique values.
     * @param n the number of elements.
     * @return the array.
     */
    public Integer[] generate(int n)
    {
        Integer a[] = new Integer[n];
        for (int i = 0; i < n; i++) a[i] = n-i-1;
        return a;
    }
}
